@echo off
rem               PTP.BAT
rem     By using the RAPD data file and 20 sets of the same data
rem  which has been scrambled in a random manner, a comparison can
rem  be made between the actual tree length (minimised in NJTREE)
rem  with the mean tree length from the 20 random trees.
rem  The standard deviation of the random tree lengths provides an
rem  indication of the variation in the random trees.
rem  A figure of merit is provided by the PTP value (Permutation
rem  Tail Probability) which is (Actual-Random)/Std Dev.
rem  The results are recorded in the file TREE.OUT.
rem
rem     Modified to include histogram analysis.
rem   ------------------------------------------
echo                      PTP Analysis
echo.
@echo on
COPYFILE
NUMIND
DEL TREEDIS.DAT
RAPDALGC
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHIST
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
DEL RAPDH2.DAT
rem Analysis of Actual data complete - 20 Random sets to follow
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   1 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   2 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   3 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   4 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   5 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   6 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   7 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   8 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   9 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   10 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   11 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   12 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   13 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   14 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   15 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   16 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   17 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   18 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   19 of 20 completed
echo off
rem   --------------------------------
RAPDRAN
RAPDALGM
DEL NJT.IN
REN RAPD.NJT NJT.IN
RAPDHRAN
DEL NJTREE.OUT
XNJTREE
XTDRAW
XTREEDIS
DEL TDRAW.LOG
DEL TDRAW.ASC
DEL TDRAW.HP
EXTRACT
DEL TREEDIS.DMX
DEL TREEDIS.STA
rem   ------------------------------
echo on
rem   20 of 20 completed
echo off
MANDSTD
RAPDH12
echo     Output files are :-
echo                          PTP.OUT
echo                          RAPDH12.OUT
echo
echo     Hit any key to return to the M3 Menu
PAUSE > NUL
M3

